IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fea2::/16- First address
fea2::- Last address
fea2:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fea2:0000:0000:0000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
2.a.e.f.ip6.arpa
Split into smaller subnets
fea2::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fea2::/28 | fea2:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fea2:10::/28 | fea2:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fea2:20::/28 | fea2:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fea2:30::/28 | fea2:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fea2:40::/28 | fea2:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fea2:50::/28 | fea2:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fea2:60::/28 | fea2:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fea2:70::/28 | fea2:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fea2:80::/28 | fea2:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fea2:90::/28 | fea2:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fea2:a0::/28 | fea2:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fea2:b0::/28 | fea2:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fea2:c0::/28 | fea2:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fea2:d0::/28 | fea2:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fea2:e0::/28 | fea2:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fea2:f0::/28 | fea2:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fea2:100::/28 | fea2:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fea2:110::/28 | fea2:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fea2:120::/28 | fea2:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fea2:130::/28 | fea2:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fea2:140::/28 | fea2:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fea2:150::/28 | fea2:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fea2:160::/28 | fea2:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fea2:170::/28 | fea2:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fea2:180::/28 | fea2:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fea2:190::/28 | fea2:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fea2:1a0::/28 | fea2:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fea2:1b0::/28 | fea2:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fea2:1c0::/28 | fea2:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fea2:1d0::/28 | fea2:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fea2:1e0::/28 | fea2:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fea2:1f0::/28 | fea2:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fea2:200::/28 | fea2:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fea2:210::/28 | fea2:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fea2:220::/28 | fea2:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fea2:230::/28 | fea2:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fea2:240::/28 | fea2:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fea2:250::/28 | fea2:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fea2:260::/28 | fea2:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fea2:270::/28 | fea2:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fea2:280::/28 | fea2:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fea2:290::/28 | fea2:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fea2:2a0::/28 | fea2:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fea2:2b0::/28 | fea2:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fea2:2c0::/28 | fea2:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fea2:2d0::/28 | fea2:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fea2:2e0::/28 | fea2:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fea2:2f0::/28 | fea2:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fea2:300::/28 | fea2:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fea2:310::/28 | fea2:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fea2:320::/28 | fea2:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fea2:330::/28 | fea2:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fea2:340::/28 | fea2:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fea2:350::/28 | fea2:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fea2:360::/28 | fea2:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fea2:370::/28 | fea2:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fea2:380::/28 | fea2:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fea2:390::/28 | fea2:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fea2:3a0::/28 | fea2:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fea2:3b0::/28 | fea2:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fea2:3c0::/28 | fea2:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fea2:3d0::/28 | fea2:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fea2:3e0::/28 | fea2:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fea2:3f0::/28 | fea2:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fea2:400::/28 | fea2:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fea2:410::/28 | fea2:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fea2:420::/28 | fea2:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fea2:430::/28 | fea2:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fea2:440::/28 | fea2:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fea2:450::/28 | fea2:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fea2:460::/28 | fea2:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fea2:470::/28 | fea2:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fea2:480::/28 | fea2:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fea2:490::/28 | fea2:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fea2:4a0::/28 | fea2:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fea2:4b0::/28 | fea2:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fea2:4c0::/28 | fea2:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fea2:4d0::/28 | fea2:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fea2:4e0::/28 | fea2:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fea2:4f0::/28 | fea2:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fea2:500::/28 | fea2:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fea2:510::/28 | fea2:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fea2:520::/28 | fea2:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fea2:530::/28 | fea2:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fea2:540::/28 | fea2:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fea2:550::/28 | fea2:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fea2:560::/28 | fea2:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fea2:570::/28 | fea2:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fea2:580::/28 | fea2:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fea2:590::/28 | fea2:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fea2:5a0::/28 | fea2:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fea2:5b0::/28 | fea2:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fea2:5c0::/28 | fea2:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fea2:5d0::/28 | fea2:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fea2:5e0::/28 | fea2:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fea2:5f0::/28 | fea2:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fea2:600::/28 | fea2:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fea2:610::/28 | fea2:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fea2:620::/28 | fea2:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fea2:630::/28 | fea2:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fea2:640::/28 | fea2:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fea2:650::/28 | fea2:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fea2:660::/28 | fea2:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fea2:670::/28 | fea2:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fea2:680::/28 | fea2:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fea2:690::/28 | fea2:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fea2:6a0::/28 | fea2:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fea2:6b0::/28 | fea2:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fea2:6c0::/28 | fea2:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fea2:6d0::/28 | fea2:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fea2:6e0::/28 | fea2:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fea2:6f0::/28 | fea2:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fea2:700::/28 | fea2:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fea2:710::/28 | fea2:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fea2:720::/28 | fea2:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fea2:730::/28 | fea2:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fea2:740::/28 | fea2:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fea2:750::/28 | fea2:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fea2:760::/28 | fea2:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fea2:770::/28 | fea2:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fea2:780::/28 | fea2:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fea2:790::/28 | fea2:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fea2:7a0::/28 | fea2:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fea2:7b0::/28 | fea2:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fea2:7c0::/28 | fea2:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fea2:7d0::/28 | fea2:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fea2:7e0::/28 | fea2:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fea2:7f0::/28 | fea2:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fea2:800::/28 | fea2:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fea2:810::/28 | fea2:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fea2:820::/28 | fea2:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fea2:830::/28 | fea2:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fea2:840::/28 | fea2:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fea2:850::/28 | fea2:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fea2:860::/28 | fea2:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fea2:870::/28 | fea2:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fea2:880::/28 | fea2:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fea2:890::/28 | fea2:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fea2:8a0::/28 | fea2:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fea2:8b0::/28 | fea2:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fea2:8c0::/28 | fea2:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fea2:8d0::/28 | fea2:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fea2:8e0::/28 | fea2:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fea2:8f0::/28 | fea2:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fea2:900::/28 | fea2:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fea2:910::/28 | fea2:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fea2:920::/28 | fea2:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fea2:930::/28 | fea2:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fea2:940::/28 | fea2:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fea2:950::/28 | fea2:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fea2:960::/28 | fea2:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fea2:970::/28 | fea2:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fea2:980::/28 | fea2:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fea2:990::/28 | fea2:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fea2:9a0::/28 | fea2:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fea2:9b0::/28 | fea2:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fea2:9c0::/28 | fea2:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fea2:9d0::/28 | fea2:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fea2:9e0::/28 | fea2:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fea2:9f0::/28 | fea2:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fea2:a00::/28 | fea2:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fea2:a10::/28 | fea2:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fea2:a20::/28 | fea2:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fea2:a30::/28 | fea2:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fea2:a40::/28 | fea2:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fea2:a50::/28 | fea2:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fea2:a60::/28 | fea2:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fea2:a70::/28 | fea2:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fea2:a80::/28 | fea2:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fea2:a90::/28 | fea2:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fea2:aa0::/28 | fea2:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fea2:ab0::/28 | fea2:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fea2:ac0::/28 | fea2:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fea2:ad0::/28 | fea2:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fea2:ae0::/28 | fea2:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fea2:af0::/28 | fea2:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fea2:b00::/28 | fea2:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fea2:b10::/28 | fea2:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fea2:b20::/28 | fea2:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fea2:b30::/28 | fea2:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fea2:b40::/28 | fea2:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fea2:b50::/28 | fea2:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fea2:b60::/28 | fea2:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fea2:b70::/28 | fea2:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fea2:b80::/28 | fea2:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fea2:b90::/28 | fea2:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fea2:ba0::/28 | fea2:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fea2:bb0::/28 | fea2:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fea2:bc0::/28 | fea2:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fea2:bd0::/28 | fea2:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fea2:be0::/28 | fea2:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fea2:bf0::/28 | fea2:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fea2:c00::/28 | fea2:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fea2:c10::/28 | fea2:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fea2:c20::/28 | fea2:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fea2:c30::/28 | fea2:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fea2:c40::/28 | fea2:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fea2:c50::/28 | fea2:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fea2:c60::/28 | fea2:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fea2:c70::/28 | fea2:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fea2:c80::/28 | fea2:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fea2:c90::/28 | fea2:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fea2:ca0::/28 | fea2:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fea2:cb0::/28 | fea2:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fea2:cc0::/28 | fea2:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fea2:cd0::/28 | fea2:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fea2:ce0::/28 | fea2:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fea2:cf0::/28 | fea2:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fea2:d00::/28 | fea2:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fea2:d10::/28 | fea2:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fea2:d20::/28 | fea2:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fea2:d30::/28 | fea2:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fea2:d40::/28 | fea2:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fea2:d50::/28 | fea2:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fea2:d60::/28 | fea2:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fea2:d70::/28 | fea2:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fea2:d80::/28 | fea2:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fea2:d90::/28 | fea2:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fea2:da0::/28 | fea2:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fea2:db0::/28 | fea2:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fea2:dc0::/28 | fea2:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fea2:dd0::/28 | fea2:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fea2:de0::/28 | fea2:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fea2:df0::/28 | fea2:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fea2:e00::/28 | fea2:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fea2:e10::/28 | fea2:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fea2:e20::/28 | fea2:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fea2:e30::/28 | fea2:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fea2:e40::/28 | fea2:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fea2:e50::/28 | fea2:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fea2:e60::/28 | fea2:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fea2:e70::/28 | fea2:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fea2:e80::/28 | fea2:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fea2:e90::/28 | fea2:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fea2:ea0::/28 | fea2:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fea2:eb0::/28 | fea2:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fea2:ec0::/28 | fea2:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fea2:ed0::/28 | fea2:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fea2:ee0::/28 | fea2:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fea2:ef0::/28 | fea2:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fea2:f00::/28 | fea2:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fea2:f10::/28 | fea2:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fea2:f20::/28 | fea2:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fea2:f30::/28 | fea2:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fea2:f40::/28 | fea2:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fea2:f50::/28 | fea2:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fea2:f60::/28 | fea2:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fea2:f70::/28 | fea2:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fea2:f80::/28 | fea2:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fea2:f90::/28 | fea2:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fea2:fa0::/28 | fea2:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fea2:fb0::/28 | fea2:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fea2:fc0::/28 | fea2:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fea2:fd0::/28 | fea2:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fea2:fe0::/28 | fea2:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fea2:ff0::/28 | fea2:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |